Summary:	A tool for gathering and displaying system information
Summary(de.UTF-8):	Informationen zum proc-Dateisystem
Summary(fr.UTF-8):	informations sur le système de fichiers proc
Summary(pl.UTF-8):	Informacje z filesystemu proc
Summary(tr.UTF-8):	proc dosya sistemi bilgileri
Name:		procinfo
Version:	18
Release:	6
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.cistron.nl/pub/people/00-OLD/sandervm/%{name}-%{version}.tar.gz
# Source0-md5:	27658d0a69040aca05a65b9888599d50
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-uptime.patch
Patch2:		%{name}-lsdev.patch
BuildRequires:	ncurses-devel >= 5.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The procinfo command gets system data from the /proc directory (the
kernel filesystem), formats it and displays it on standard output. You
can use procinfo to acquire information about your system from the
kernel as it is running.

%description -l de.UTF-8
Mit dem Paket procinfo können Sie nützliche Informationen aus /proc
abrufen. /proc ist das Kernel-Dateisystem, das Informationen über den
laufenden Kernel enthält.

%description -l fr.UTF-8
procinfo est un paquetage permettant d'obtenir des informations utiles
à partir de /proc. /proc est le système de fichiers du noyau. C'est
l'endroit où vous pouvez allez pour obtenir des informations sur le
noyau qui s'exécute.

%description -l pl.UTF-8
Procinfo jest programem, który przekazuje informacje wyczytane z
systemu plików jądra - /proc.

%description -l tr.UTF-8
procinfo, /proc dosya sisteminden bilgi almanıza izin veren bir
pakettir. /proc çekirdek dosya sistemini tutar ve koşan
çekirdeğinizden bilgi edinebileceğiniz bir dizin yapısı sunar.

%package perl
Summary:	procinfo perl helper scripts
Summary(pl.UTF-8):	Pomocnicze skrypty perlowe do procinfo
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}

%description perl
Procinfo perl helper scripts.

%description perl -l pl.UTF-8
Pomocnicze skrypty perlowe do procinfo.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I/usr/include/ncurses" \
	LDLIBS="-lncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8}

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT" \
	prefix=%{_prefix} \
	bindir=%{_bindir} \
	mandir=%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_bindir}/procinfo
%{_mandir}/man8/procinfo*

%files perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/lsdev
%attr(755,root,root) %{_bindir}/socklist
%{_mandir}/man8/lsdev*
%{_mandir}/man8/socklist*
%changelog
* Sat Dec 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/procinfo.git;a=log;h=master

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 4101ef5
- ncurses rebuild
- release 6 (by relup.sh)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 59d56a7
- release 5

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> be91bb1
- dropped pre-cvs changelog

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 5411d69
- rel 4
- fixed Source0 URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f522b1d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a017ac6
- converted to UTF-8

* Thu Aug 24 2006 darekr <darekr@pld-linux.org> 77b5f84
- pass CC

* Fri Sep 16 2005 darekr <darekr@pld-linux.org> b13f877
- strict deps, add CHANGES to %doc

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> f619233
- release 3 for Ac (2 is for Ra)

* Mon May 26 2003 Michal Moskal <michal@moskal.me> 2a9871d
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> d475d4e
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Nov 30 2002 juandon <witekfl@pld-linux.org> 508646e
- new %%doc

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> 0e3f798
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> 7a29490
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Tue Oct 09 2001 Jakub Bogusz <qboosh@pld-linux.org> addcb18
- don't gzip man pages in spec; use %%{__make} macro; added rest of pl transl.

* Thu Jul 19 2001 kloczek <kloczek@pld-linux.org> 38c1194
- release 2: merge lsdev patch (from rawhide).

* Thu Jul 19 2001 kloczek <kloczek@pld-linux.org> a670bf0
- patch from rawhide (fix lsdev perl script).

* Sun Apr 22 2001 kloczek <kloczek@pld-linux.org> c125ef4
- outdated.

* Sun Apr 22 2001 kloczek <kloczek@pld-linux.org> 81ad98f
- updated to 18,
- spec adapterized and updated patches list.

* Sun Apr 22 2001 kloczek <kloczek@pld-linux.org> 95d0e25
- patch from Conectiva.

